Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.def
Class DefaultSaveOrUpdateCopyEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultMergeEventListener
                  org.hibernate.event.def.DefaultSaveOrUpdateCopyEventListener

All Implemented Interfaces:
  Serializable, MergeEventListener

    public class DefaultSaveOrUpdateCopyEventListener

extends DefaultMergeEventListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.event.def.AbstractSaveEventListener
`DELETED, DETACHED, PERSISTENT, TRANSIENT`

Constructor Summary
`DefaultSaveOrUpdateCopyEventListener()`

Method Summary
`protected CascadingAction` | `getCascadeAction()`

Methods inherited from class org.hibernate.event.def.DefaultMergeEventListener
`cascadeAfterSave, cascadeBeforeSave, cascadeOnMerge, copyValues, copyValues, entityIsDetached, entityIsPersistent, entityIsTransient, getAssumedUnsaved, getMergeMap, onMerge, onMerge`

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
`getEntityState, getLoggableName, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, validate, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSaveOrUpdateCopyEventListener

    public DefaultSaveOrUpdateCopyEventListener()

Method Detail

### getCascadeAction

    protected CascadingAction getCascadeAction()

  Overrides:
    `getCascadeAction` in class `DefaultMergeEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD